[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDockForm.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 969

`public constructor TCustomDockForm.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance. It calls CreateNew to create a new form instance, and sets the default values for:

- AutoScroll (False)
- BorderStyle (bsSizeToolWin)
- DockSite (True)
- FormStyle (fsStayOnTop)

## See also

TCustomForm.CreateNew |  | Creates a form instance without a resource (.lfm) file.